"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.rules = void 0;
var rules = {
  'no-src-import': {
    meta: {
      docs: {
        description: 'Scoobie imports should be done from the top level of the package.'
      },
      fixable: 'code',
      schema: [],
      messages: {
        submodule: 'Scoobie imports should be done from the top level of the package.'
      }
    },
    create: function create(context) {
      return {
        ImportDeclaration: function ImportDeclaration(node) {
          var importSource = node.source.value;

          if (importSource === 'scoobie/src') {
            return context.report({
              node: node,
              messageId: 'submodule',
              fix: function fix(fixer) {
                return fixer.replaceText(node.source, "'scoobie'");
              }
            });
          }
        }
      };
    }
  }
};
exports.rules = rules;